 <?php
header("Content-Type: application/xml; charset=UTF-8");
header('Pragma: public');
header('Cache-control: private');
header('Expires: -1');
date_default_timezone_set('UTC');
define('slash','/');
$url = 'https://'.$_SERVER['HTTP_HOST'];
include_once 'rss.class.php';
$rss = new rss;
$rssTitle = 'pastebin.echosystem.fr';
$rssDescription = 'Get the latest Pastes from pastebin.echosystem.fr';
$rss->head($rssTitle,$rssDescription,$url);

$query = "SELECT * FROM pastes ORDER BY date";
if ($result = mysqli_query($rss->conn(), $query)) {
while ($row = mysqli_fetch_assoc($result)) {
$link = $url.slash.rss::clean($row['id']).slash;

//$date= date("jS F Y h:i:s A", $row['date']);
//$date= date('D, d M Y H:i:s', $row['now_time']);
$date= date('d M Y H:i:s', $row['now_time']);
if (preg_match('/^.{1,200}\b/s', $row['content'], $match))
{
$content=$match[0].'...';
}
rss::feed(htmlspecialchars($row['title']),$link,htmlspecialchars($content),$date);
}
mysqli_free_result($result);
}
$rss->foot();
$rss->close();

?> 
